Package org.apache.datasketches.hive.theta

## Class EstimateSketchSimilarityUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.theta.EstimateSketchSimilarityUDF

    public class EstimateSketchSimilarityUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

Hive estimate sketch similarity UDF.

### Constructor Summary

Constructors
`EstimateSketchSimilarityUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `evaluate​(org.apache.hadoop.io.BytesWritable firstSketchBytes, org.apache.hadoop.io.BytesWritable secondSketchBytes)` Main logic called by hive.

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EstimateSketchSimilarityUDF

    public EstimateSketchSimilarityUDF()

### Method Detail

#### evaluate

    public double evaluate​(org.apache.hadoop.io.BytesWritable firstSketchBytes,
                           org.apache.hadoop.io.BytesWritable secondSketchBytes)

Main logic called by hive. Computes the jaccard similarity of two sketches of same or different column.

Parameters:
  `firstSketchBytes` - first sketch to be compared.
  `secondSketchBytes` - second sketch to be compared.
Returns:
  the estimate of similarity of two sketches